TOPDIR := /usr/src/linux

HPATH  = $(TOPDIR)/include
CC     = gcc -D__KERNEL__ -I../../include -I$(HPATH)

MODFLAGS = -DMODULE
MODCFLAGS := -O6 -Wall -DCONFIG_KERNELD -DMODULE -D__KERNEL__ -DLINUX

MODFLAGS += -DMODVERSIONS -include $(HPATH)/linux/modversions.h

CFLAGS =  -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strength-reduce
CFLAGS += $(MODFLAGS) -DHAVE_TCFS -I../../include -DDEBUG_TCFS

MAKING_MODULES=1

#MOD_LIST_NAME := TCFS_MODULES

O_TARGET := tcfs_default_cipher.o
O_OBJS := tcfs_null_module.o 
M_OBJS := tcfs_default_cipher.o

include $(TOPDIR)/Rules.make

clean: 
	rm -f $(O_OBJS) $(O_TARGET) $(OX_OBJS)

manual: $(O_OBJS)
	ld -r -o $(O_TARGET) $(O_OBJS)
